## ros-indigo-test-mavros 0.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(test_mavros)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  mavros
  mavros_extras
  roscpp
  std_msgs
  geometry_msgs
  tf2_ros
  eigen_conversions
  control_toolbox
  angles
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
find_package(Boost REQUIRED COMPONENTS system)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

include(EnableCXX11)

# Fix issue #546: control_toolbox changed API in Kinetic
if(${control_toolbox_VERSION} VERSION_LESS 1.14.0)
  message(STATUS "Use old control_toolbox API")
  add_definitions(-DCONTROL_TOOLBOX_PRE_1_14)
else()
  message(STATUS "Use new control_toolbox API")
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  #INCLUDE_DIRS include
  #LIBRARIES sitl_test
  CATKIN_DEPENDS mavros mavros_extras roscpp std_msgs geometry_msgs tf2_ros eigen_conversions control_toolbox
  DEPENDS Boost Eigen
)

###########
## Build ##
###########

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${EIGEN_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(
  mavros_sitl_test
  sitl_test/lib/sitl_test.cpp
  sitl_test/lib/pid_controller.cpp
)
target_link_libraries(
  mavros_sitl_test
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_executable(
  sitl_test_node
  sitl_test/sitl_test_node.cpp
)
add_dependencies(
  sitl_test_node
  mavros_sitl_test
)
target_link_libraries(
  sitl_test_node
  mavros_sitl_test
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
install(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS mavros_sitl_test sitl_test_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_test_mavros.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-test-mavros (0.17.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-indigo-test-mavros (0.17.4-0trusty) trusty; urgency=high

  * Test_mavros : fix compilation on gcc6.1
  * Contributors: khancyr

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-indigo-test-mavros (0.17.3-0trusty) trusty; urgency=high

  * test #546 <https://github.com/mavlink/mavros/issues/546>: Added check of control_toolbox version (1.14.0)
    In Kinetic control_toolbox changed API of Pid::initPid().
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-indigo-test-mavros (0.17.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-test-mavros (0.17.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-indigo-test-mavros (0.17.0-0trusty) trusty; urgency=high

  * rebased with master
  * Contributors: francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-test-mavros (0.16.6-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-test-mavros (0.16.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-indigo-test-mavros (0.16.4-0trusty) trusty; urgency=high

  * updated local position subscription topic
  * Contributors: Andreas Antener

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-test-mavros (0.16.3-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-indigo-test-mavros (0.16.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-indigo-test-mavros (0.16.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-indigo-test-mavros (0.16.0-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Nov 2015 00:00:00 -0000

ros-indigo-test-mavros (0.15.0-0trusty) trusty; urgency=high

  * test: update readme
  * test: add required plugins
  * test: new test for local_position + SSP (#387 <https://github.com/mavlink/mavros/issues/387>) + URDF
  * test: add schematic plane urdf
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 17 Sep 2015 00:00:00 -0000

ros-indigo-test-mavros (0.14.2-0trusty) trusty; urgency=high

  * test: fix depend on angles, fix catkin lint warnings
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 20 Aug 2015 00:00:00 -0000

ros-indigo-test-mavros (0.14.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 19 Aug 2015 00:00:00 -0000

ros-indigo-test-mavros (0.14.0-0trusty) trusty; urgency=high

  * test fix #368 <https://github.com/mavlink/mavros/issues/368>: use mavros.setpoint module in demo
  * test: #368 <https://github.com/mavlink/mavros/issues/368>: initial import of setpoint_demo.py
  * test: Fix library name.
  * test_mavros: pid_controller: declare PID variables as local
  * test_mavros: move headers to include/test_mavros and setup for install
  * test_mavros: removed pid_controller as lib; instantiate object so to use on offboard test
  * test_mavros: CMakeLists: small ident correction
  * test_mavros: pid_controller: include <array> so to make Travis happy
  * test_mavros: added PID controller utility for velocity control on tests
  * test_mavros: changed test_type to test_setup; namespace also
  * Contributors: TSC21, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 17 Aug 2015 00:00:00 -0000

ros-indigo-test-mavros (0.13.1-0trusty) trusty; urgency=high

  * test: add link to APM sitl video
  * test_mavros: put acceleration note out of title
  * Minor titles correction
  * test_mavros: update README.md with tutorial to use PX4 ROS SITL
  * Contributors: TSC21, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 05 Aug 2015 00:00:00 -0000

ros-indigo-test-mavros (0.13.0-0trusty) trusty; urgency=high

  * Update iris_empty_world_offboard_ctl.launch
  * test: fix prerelease building
  * test: move launch
  * sitl_tests: turn pos_setpoint code more elegant
  * sitl_tests: minor code tweak; use angles.h package
  * sitl_tests: offboard_control: included array lib; init threshold in constructor
  * sitl_tests: added normal distribution position error threshold generator
  * sitl_tests: add eigen dependency to CMakeLists and package.xml
  * sitl_tests: "eigenize" offboard_control code; generalize offb control launch file
  * sitl_tests: added px4 and rotors_simulator packages to package.xml dependencies
  * sitl_tests: define sitl_tests group; change tgt_component to 1
  * sitl_tests: offboard_mode: minor code refining
  * sitl_tests: code cleaning
  * sitl_tests: uncrustify code
  * sitl_tests: offboard_control: velocity: added eight and ellipse-shaped paths
  * sitl_tests: offboard_control: velocity: added circle-shaped path
  * sitl_tests: added offboard velocity control - square shaped path for now
  * sitl_tests: offboard_control: added ellipse-shaped path
  * sitl_tests: offboard_control: added circle-shaped path
  * sitl_tests: generalize offboard posctl so it can handle vel/accel control; added support to "eight" sphaped path
  * sitl_tests: added base node
  * sitl_test: added integrated launch file for OFFB POSCTL square shape
  * sitl_tests: turn sitl_test_node as generic node to both APM and PX4
  * sitl_tests: test structure definition; first working test routine
  * test: import launch for imu testing
  * test: apm sitl and imu test reproduction steps
  * test: Add test_marvros package stub
  * Contributors: TSC21, Vladimir Ermakov, wangsen1312



=== debian/control ===
Source: ros-indigo-test-mavros
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-toolbox, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-mavros, ros-indigo-mavros-extras, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-test-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-control-toolbox, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-mavros, ros-indigo-mavros-extras, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf2-ros
Description: Tests for MAVROS package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-test-mavros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
